DESCU(8)

NAME
descu - the describe(1) source updater

SYNOPSIS
descu [ -hV ] [ -o outfile ] sourcefile patchfile1 [ patchfile2 ... ]

DESCRIPTION
This manual page documents descu version 1.0.5.

descu updates the describe source file sourcefile by applying the new and updated records from the patchfiles and prints the result to standard output (or to outfile, if the -o flag was specified).

Patchfiles are just one or more describe source entries as defined in descc(8). (They have nothing to do with patch(1).)

Patchfiles are assumed to contain at most one entry (in all listed patchfiles) for a given program, keyed on the Name: field. (They may otherwise contain any number of entries.) If an entry in patchfile is already in sourcefile, it replaces the original; otherwise the entry is appended. In both cases, the output is sorted lexicographically (ignoring case), based on the Name: field.

descu will create the file descu.rej in the current directory. This contains all records that were removed from sourcefile.

OPTIONS

-h  Show usage information.

-o outfile
    Send output to outfile rather than stdout.

-V  Show version information.

AUTHOR
Devin Reade <gdr@myrias.ab.ca>

HISTORY
descu was incorporated into the GNO base distribution as of version 1.0.4

SEE ALSO
apropos(1), describe(1), man(1), whatis(1), descc(8).